
Redmine - Defect #7386

NoMethodError on pdf export

2011-01-20 11:46 - Nicolas Michel

Status: Closed Start date: 2011-01-20

Priority: High Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 1.1.1   

Resolution: Fixed Affected version: 1.1.0

Description

When I'm in an issue and click on the bottom on the pdf link, I get a 500 error.

Here are the logs :

Processing IssuesController#show to pdf (for 192.168.140.5 at 2011-01-19 16:23:09) [GET] Parameters: {"format"=>"pdf",

"action"=>"show", "id"=>"51", "controller"=>"issues"}

NoMethodError (private method `gsub' called for nil:NilClass): lib/redmine/export/pdf.rb:258:in `issue_to_pdf'

app/controllers/issues_controller.rb:119:in `show' app/controllers/issues_controller.rb:115:in `show'

Rendering /home/redmine/redmine-1.1.0/public/500.html (500 Internal Server Error)

I'm on a debian Lenny 64 bits. Redmine 1.1.0. Here is the gem list :

gem list

LOCAL GEMS ***

actionmailer (1.0.1)

actionpack (1.9.1, 1.0.1)

activemodel (3.0.3)

activerecord (3.0.3)

activesupport (3.0.3, 1.1.1, 1.0.1)

arel (2.0.6)

builder (2.1.2)

cgi_multipart_eof_fix (2.5.0)

daemons (1.1.0, 1.0.1)

fastthread (1.0.1)

gem_plugin (0.2.3)

gruff (0.3.6)

holidays (1.0.0)

i18n (0.4.2)

icalendar (1.0.1)

mongrel (1.0.1)

prawn (0.8.4)

prawn-core (0.8.4)

prawn-layout (0.8.4)

prawn-security (0.8.4)

rack (1.0.1)

tzinfo (0.3.23)

Is someone can help me?

Thank you.

Related issues:

Related to Redmine - Patch #5629: Wrap text fields properly in PDF Closed 2010-06-01

Associated revisions

Revision 4736 - 2011-01-22 12:57 - Jean-Philippe Lang

Avoid "private method `gsub' called for nil:NilClass" error when exporting issues with nil description (#7386).
History

#1 - 2011-01-22 12:58 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 1.1.1

- Resolution set to Fixed

This should be fixed by r4376.

#2 - 2011-01-30 07:04 - Jean-Philippe Lang

- Subject changed from Problem with pdf with redmine 1.1.0 to NoMethodError on pdf export

- Status changed from Resolved to Closed

Merged in 1.1-stable.

#3 - 2011-04-15 18:24 - Etienne Massip

- Category set to PDF export
